<?php
session_start();
$host="localhost";
$user="root";
$password="CBVg8PWU";
$db="timewar";

mysql_connect($host, $user, $password) or die("MySQL сервер недоступен!".mysql_error());
mysql_select_db($db) or die("Нет соединения с БД".mysql_error());
mysql_query('SET names "utf8"');


$q = mysql_query("SELECT * FROM `users` ORDER BY `sea_medal` DESC LIMIT 1");

$w = mysql_fetch_assoc($q);

$k = date("j");
$kg = date("n");

if($kg=='1'){$mes="Января";}
if($kg=='2'){$mes="Февраля";}
if($kg=='3'){$mes="Марта";}
if($kg=='4'){$mes="Апреля";}
if($kg=='5'){$mes="Мая";}
if($kg=='6'){$mes="Июня";}
if($kg=='7'){$mes="Июля";}
if($kg=='8'){$mes="Августа";}
if($kg=='9'){$mes="Сентября";}
if($kg=='10'){$mes="Октября";}
if($kg=='11'){$mes="Ноября";}
if($kg=='12'){$mes="Декабря";}

mysql_query("INSERT INTO `seabattle` SET `user`='$w[id]',`medal`='$w[sea_medal]',`date`='$k $mes'");

$exp = 2000;
$almaz = 20;

$txt = "На этой неделе состязание \"<font color=aqua>Покоритель Морей</font>\" выиграл <a href=pers.php?id=$w[id]>$w[login]</a>!<br>Награда:<br>- $almaz <img src=img/almaz.png><br>- $exp <img src=img/exp.png>";

mysql_query("INSERT INTO `news` SET `title`='Покоритель Морей',`text`='$txt',`date`='$k $mes'");

mysql_query("UPDATE `game` SET `seakorol`='$w[id]' WHERE `id`='1'");



mysql_query("UPDATE `users` SET `exp`=`exp`+'$exp',`almaz`=`almaz`+'$almaz' WHERE `id`='$w[id]'");
mysql_query("UPDATE `users` SET `sea_medal`='0'");